import { ComponentRegistry }
    from './ComponentRegistry.js';

import { HeaderComponent }
    from './components/HeaderComponent.js';

import { ProgressComponent }
    from './components/ProgressComponent.js';

import { StatsComponent }
    from './components/StatsComponent.js';

import { ActionsComponent }
    from './components/ActionsComponent.js';

import "./components/FieldListComponent.js";


ComponentRegistry.register(
    'header',
    HeaderComponent
);

ComponentRegistry.register(
    'progress',
    ProgressComponent
);

ComponentRegistry.register(
    'stats',
    StatsComponent
);

ComponentRegistry.register(
    'actions',
    ActionsComponent
);
